EDIT - bug #8687

Description page must show all DescriptionElement subclasses
11/15/2019 10:26 PM - Andreas Muller

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Currently it seems to show only Categorical and Quantitative Data. But one never knows what data will really come within a
description.

Very urgent is it to implement Distributions, too, as this is needed for DistributionAggregation. Currently a description holding
distributions only shows an empty page.

It also needs to be discussed which Feature Tree to use for such pages. Some descriptions do have 1 or more DescriptiveDataSets
attached. For them it is good to use the dataset feature tree(s) - but what if multiple exist. But what if no dataset exists or if features
are included which are not in the feature tree.

Related issues:

Related to EDIT - feature request #8686: Support CdmLink sources in bibliography Closed
Related to EDIT - feature request #8688: Make OriginalSourceBase.cdmSource vi... Closed
Related to EDIT - bug #8739: remaining issues for description detail page Closed
History

#1 - 11/15/2019 10:32 PM - Andreas Miiller

- Description updated

#2 - 11/15/2019 10:33 PM - Andreas Miiller
- Related to feature request #8686: Support CdmLink sources in bibliography added

#3 - 11/15/2019 10:39 PM - Andreas Miuller

- Description updated

#4 - 11/15/2019 10:47 PM - Andreas Miiller

- Related to feature request #8688: Make OriginalSourceBase.cdmSource visible in TaxEditor added

#5 - 12/09/2019 01:05 PM - Andreas Miiller
- Related to bug #8739: remaining issues for description detail page added

#6 - 12/13/2019 01:04 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

Assigning AK because it is a dataportal ticket

#7 - 12/13/2019 02:29 PM - Andreas Kohlbecker

- Description updated

#8 - 01/16/2020 11:42 AM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Release 5.12 to Release 5.13

#9 - 03/10/2020 09:32 AM - Andreas Kohlbecker
- Target version changed from Release 5.13 to Release 5.14

#10 - 04/08/2020 04:10 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#11 - 06/23/2020 02:02 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#12 - 01/13/2021 04:11 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#13 - 01/27/2021 03:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#14 - 03/10/2021 02:54 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#15 - 04/19/2021 04:16 PM - Andreas Kohlbecker

- Target version changed from Release 5.22 to Release 5.25

#16 - 07/15/2021 06:21 PM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#17 - 07/08/2022 02:16 PM - Andreas Miiller

- Description updated

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#18 - 07/08/2022 02:16 PM - Andreas Miiller
- Priority changed from Highest to Priority14
